import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);
//creating circle face
const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'yellow');
circle.attr('stroke', 'black');
//adding eyes to the face
const leftEye = svg.append('circle')
                   .attr('cx', 390)
                   .attr('cy', 150)
                   .attr('r', 30)
                   .attr('fill', 'black');
                   
const rightEye = svg.append('circle')
                    .attr('cx', 550)
                    .attr('cy', 150)
                    .attr('r', 30)
                    .attr('fill', 'black');
//adding pupil to the eyes
const leftPupil = svg.append('circle')
  .attr('cx', 390)
  .attr('cy', 150)
  .attr('r', 10)
  .attr('fill', 'white');

const rightPupil = svg.append('circle')
  .attr('cx', 550)
  .attr('cy', 150)
  .attr('r', 10)
  .attr('fill', 'white');
//adds nose                    
const nose = g.append('path')
                .attr('d', arc()({
    						innerRadius: 0,
   							outerRadius: 50,
    						startAngle: Math.PI / 2,
    						endAngle: Math.PI * 3 / 2}))
//adds eyebrows
const leftEyebrow = svg.append('rect')
                       .attr('x', 340)
  										 .attr('y', 100)
  										 .attr('width', 80)
                       .attr('height', 20)
  										 .attr('fill', 'black')
                       .attr('stroke', 'none')
  										 .attr('transform', 'rotate(-20, 390, 110)');
                       
const rightEyebrow = svg.append('rect')
  .attr('x', 520)
  .attr('y', 100)
  .attr('width', 80)
  .attr('height', 20)
  .attr('fill', 'black')
  .attr('stroke', 'none')
  .attr('transform', 'rotate(20, 550, 110)');
                

// adds ears
const leftEar = svg.append('path')
  .attr('d', 'M270,210 Q150,105 200,0')
  .attr('fill', 'red')
  .attr('stroke', 'black')
  .attr('transform', 'rotate(50, 220, 165)');

                   
const rightEar = svg.append('path')
  .attr('d', 'M520 240 Q560,135 450,0')
  .attr('fill', 'red')
  .attr('stroke', 'black')
  .attr('transform', 'rotate(-20, 550, -355)');
const mouth = g
  .append('path')
    .attr('d', arc()({
      innerRadius: 140,
      outerRadius: 90,
      startAngle: Math.PI / 1.5,
      endAngle: Math.PI * 2.7 / 2     
    }));
//add teeth to the face
const teeth = g.append('g')
  .attr('transform', 'translate(0, 100)');

teeth.selectAll('rect')
  .data([0, 1, 2, 3, 4, 5])
  .enter()
  .append('rect')
  .attr('x', (d) => -65 + d * 20)
  .attr('y', -5)
  .attr('width', 40)
  .attr('height', 40)
  .attr('fill', 'white')
  .attr('stroke', 'black');

const beard = g.append('path')
  .attr('d', 'M2 -10 L20 70 L200 0 L170 -10 Z')
  .attr('fill', 'black')
  .attr('stroke', 'white')
  .attr('transform', 'translate(-100, 220)');

// Add blush circles to the cheeks of the face
const blushRadius = 55;
const blushOffsetX = 160;
const blushOffsetY = 20;
const blushOpacity = 0.3;
const blushFill = 'pink';

const leftBlush = g.append('circle')
  .attr('cx', -blushOffsetX)
  .attr('cy', blushOffsetY)
  .attr('r', blushRadius)
  .attr('fill', blushFill)
  .attr('opacity', blushOpacity);

const rightBlush = g.append('circle')
  .attr('cx', blushOffsetX)
  .attr('cy', blushOffsetY)
  .attr('r', blushRadius)
  .attr('fill', blushFill)
  .attr('opacity', blushOpacity);
//adding glasses to the face
const leftGlassFrame = svg.append('circle')
  .attr('cx', 390)
  .attr('cy', 150)
  .attr('r', 60)
  .attr('fill', 'none')
  .attr('stroke', 'black')
  .attr('stroke-width', 5);

const rightGlassFrame = svg.append('circle')
  .attr('cx', 550)
  .attr('cy', 150)
  .attr('r', 60)
  .attr('fill', 'none')
  .attr('stroke', 'black')
  .attr('stroke-width', 5);

const leftGlassArm = svg.append('line')
  .attr('x1', 330)
  .attr('y1', 150)
  .attr('x2', 390)
  .attr('y2', 150)
  .attr('stroke', 'black')
  .attr('stroke-width', 5);

const rightGlassArm = svg.append('line')
  .attr('x1', 550)
  .attr('y1', 150)
  .attr('x2', 610)
  .attr('y2', 150)
  .attr('stroke', 'black')
  .attr('stroke-width', 5);









